#ifndef UALF_TOKENIZE_H
#define UALF_TOKENIZE_H

class  UalfTokenize
{
  private:
    struct ymds_time ymdsTime;
    SINT4 iTokCnt;
    SINT4 iVersion;
    SINT4 iYear, iMon, iDay, iHour, iMin, iSec, iMills;
    SINT4 iPeakCurnt, iEllipseMinor, iEllipseMajor;
    FLT8  fLat, fLon, fEllipseAng;
  public:
    UINT2 tokenize(const char *sline_a);
    SINT4 getMaxParams();
    SINT4 getMaxHdrParams();
    SINT4 getTokCnt();
    SINT4 getVersion();
    SINT4 getPeakCurnt();
    SINT4 getEllipseMinor();
    SINT4 getEllipseMajor();
    FLT8  getEllipseAng();
    FLT8  getLat();
    FLT8  getLon();
    SINT4 getHour();
    SINT4 getMinute();
    SINT4 getSeconds();
    struct ymds_time getYmdsTime();
};
#endif

